Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network44.96.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
Network address
44.96.0.0
Broadcast address
44.127.255.255
First usable
44.96.0.1
Last usable
44.127.255.254
Usable hosts
2,097,150 (2,097,152 less the network and broadcast addresses)
Subnet mask
255.224.0.0
Wildcard mask
0.31.255.255 (Cisco ACLs, OSPF)
Prefix length
/11
Type
Public public
Old class
A (default /8)
As numbers
Hex 2C600000 · Integer 744488960 to 746586111
Reverse DNS zones
96.44.in-addr.arpa
97.44.in-addr.arpa
98.44.in-addr.arpa
99.44.in-addr.arpa
100.44.in-addr.arpa
101.44.in-addr.arpa
102.44.in-addr.arpa
103.44.in-addr.arpa
104.44.in-addr.arpa
105.44.in-addr.arpa
106.44.in-addr.arpa
107.44.in-addr.arpa
108.44.in-addr.arpa
109.44.in-addr.arpa
110.44.in-addr.arpa
111.44.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00101100.01100000.00000000.0000000044.96.0.0
Subnet mask11111111.11100000.00000000.00000000255.224.0.0
Network00101100.01100000.00000000.0000000044.96.0.0
Broadcast00101100.01111111.11111111.1111111144.127.255.255
Split into smaller subnets/18

44.96.0.0/11 makes 128 subnets of /18.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
144.96.0.0/1844.96.0.1 to 44.96.63.25444.96.63.25516,382
244.96.64.0/1844.96.64.1 to 44.96.127.25444.96.127.25516,382
344.96.128.0/1844.96.128.1 to 44.96.191.25444.96.191.25516,382
444.96.192.0/1844.96.192.1 to 44.96.255.25444.96.255.25516,382
544.97.0.0/1844.97.0.1 to 44.97.63.25444.97.63.25516,382
644.97.64.0/1844.97.64.1 to 44.97.127.25444.97.127.25516,382
744.97.128.0/1844.97.128.1 to 44.97.191.25444.97.191.25516,382
844.97.192.0/1844.97.192.1 to 44.97.255.25444.97.255.25516,382
944.98.0.0/1844.98.0.1 to 44.98.63.25444.98.63.25516,382
1044.98.64.0/1844.98.64.1 to 44.98.127.25444.98.127.25516,382
1144.98.128.0/1844.98.128.1 to 44.98.191.25444.98.191.25516,382
1244.98.192.0/1844.98.192.1 to 44.98.255.25444.98.255.25516,382
1344.99.0.0/1844.99.0.1 to 44.99.63.25444.99.63.25516,382
1444.99.64.0/1844.99.64.1 to 44.99.127.25444.99.127.25516,382
1544.99.128.0/1844.99.128.1 to 44.99.191.25444.99.191.25516,382
1644.99.192.0/1844.99.192.1 to 44.99.255.25444.99.255.25516,382
1744.100.0.0/1844.100.0.1 to 44.100.63.25444.100.63.25516,382
1844.100.64.0/1844.100.64.1 to 44.100.127.25444.100.127.25516,382
1944.100.128.0/1844.100.128.1 to 44.100.191.25444.100.191.25516,382
2044.100.192.0/1844.100.192.1 to 44.100.255.25444.100.255.25516,382
2144.101.0.0/1844.101.0.1 to 44.101.63.25444.101.63.25516,382
2244.101.64.0/1844.101.64.1 to 44.101.127.25444.101.127.25516,382
2344.101.128.0/1844.101.128.1 to 44.101.191.25444.101.191.25516,382
2444.101.192.0/1844.101.192.1 to 44.101.255.25444.101.255.25516,382
2544.102.0.0/1844.102.0.1 to 44.102.63.25444.102.63.25516,382
2644.102.64.0/1844.102.64.1 to 44.102.127.25444.102.127.25516,382
2744.102.128.0/1844.102.128.1 to 44.102.191.25444.102.191.25516,382
2844.102.192.0/1844.102.192.1 to 44.102.255.25444.102.255.25516,382
2944.103.0.0/1844.103.0.1 to 44.103.63.25444.103.63.25516,382
3044.103.64.0/1844.103.64.1 to 44.103.127.25444.103.127.25516,382
3144.103.128.0/1844.103.128.1 to 44.103.191.25444.103.191.25516,382
3244.103.192.0/1844.103.192.1 to 44.103.255.25444.103.255.25516,382
3344.104.0.0/1844.104.0.1 to 44.104.63.25444.104.63.25516,382
3444.104.64.0/1844.104.64.1 to 44.104.127.25444.104.127.25516,382
3544.104.128.0/1844.104.128.1 to 44.104.191.25444.104.191.25516,382
3644.104.192.0/1844.104.192.1 to 44.104.255.25444.104.255.25516,382
3744.105.0.0/1844.105.0.1 to 44.105.63.25444.105.63.25516,382
3844.105.64.0/1844.105.64.1 to 44.105.127.25444.105.127.25516,382
3944.105.128.0/1844.105.128.1 to 44.105.191.25444.105.191.25516,382
4044.105.192.0/1844.105.192.1 to 44.105.255.25444.105.255.25516,382
4144.106.0.0/1844.106.0.1 to 44.106.63.25444.106.63.25516,382
4244.106.64.0/1844.106.64.1 to 44.106.127.25444.106.127.25516,382
4344.106.128.0/1844.106.128.1 to 44.106.191.25444.106.191.25516,382
4444.106.192.0/1844.106.192.1 to 44.106.255.25444.106.255.25516,382
4544.107.0.0/1844.107.0.1 to 44.107.63.25444.107.63.25516,382
4644.107.64.0/1844.107.64.1 to 44.107.127.25444.107.127.25516,382
4744.107.128.0/1844.107.128.1 to 44.107.191.25444.107.191.25516,382
4844.107.192.0/1844.107.192.1 to 44.107.255.25444.107.255.25516,382
4944.108.0.0/1844.108.0.1 to 44.108.63.25444.108.63.25516,382
5044.108.64.0/1844.108.64.1 to 44.108.127.25444.108.127.25516,382
5144.108.128.0/1844.108.128.1 to 44.108.191.25444.108.191.25516,382
5244.108.192.0/1844.108.192.1 to 44.108.255.25444.108.255.25516,382
5344.109.0.0/1844.109.0.1 to 44.109.63.25444.109.63.25516,382
5444.109.64.0/1844.109.64.1 to 44.109.127.25444.109.127.25516,382
5544.109.128.0/1844.109.128.1 to 44.109.191.25444.109.191.25516,382
5644.109.192.0/1844.109.192.1 to 44.109.255.25444.109.255.25516,382
5744.110.0.0/1844.110.0.1 to 44.110.63.25444.110.63.25516,382
5844.110.64.0/1844.110.64.1 to 44.110.127.25444.110.127.25516,382
5944.110.128.0/1844.110.128.1 to 44.110.191.25444.110.191.25516,382
6044.110.192.0/1844.110.192.1 to 44.110.255.25444.110.255.25516,382
6144.111.0.0/1844.111.0.1 to 44.111.63.25444.111.63.25516,382
6244.111.64.0/1844.111.64.1 to 44.111.127.25444.111.127.25516,382
6344.111.128.0/1844.111.128.1 to 44.111.191.25444.111.191.25516,382
6444.111.192.0/1844.111.192.1 to 44.111.255.25444.111.255.25516,382
6544.112.0.0/1844.112.0.1 to 44.112.63.25444.112.63.25516,382
6644.112.64.0/1844.112.64.1 to 44.112.127.25444.112.127.25516,382
6744.112.128.0/1844.112.128.1 to 44.112.191.25444.112.191.25516,382
6844.112.192.0/1844.112.192.1 to 44.112.255.25444.112.255.25516,382
6944.113.0.0/1844.113.0.1 to 44.113.63.25444.113.63.25516,382
7044.113.64.0/1844.113.64.1 to 44.113.127.25444.113.127.25516,382
7144.113.128.0/1844.113.128.1 to 44.113.191.25444.113.191.25516,382
7244.113.192.0/1844.113.192.1 to 44.113.255.25444.113.255.25516,382
7344.114.0.0/1844.114.0.1 to 44.114.63.25444.114.63.25516,382
7444.114.64.0/1844.114.64.1 to 44.114.127.25444.114.127.25516,382
7544.114.128.0/1844.114.128.1 to 44.114.191.25444.114.191.25516,382
7644.114.192.0/1844.114.192.1 to 44.114.255.25444.114.255.25516,382
7744.115.0.0/1844.115.0.1 to 44.115.63.25444.115.63.25516,382
7844.115.64.0/1844.115.64.1 to 44.115.127.25444.115.127.25516,382
7944.115.128.0/1844.115.128.1 to 44.115.191.25444.115.191.25516,382
8044.115.192.0/1844.115.192.1 to 44.115.255.25444.115.255.25516,382
8144.116.0.0/1844.116.0.1 to 44.116.63.25444.116.63.25516,382
8244.116.64.0/1844.116.64.1 to 44.116.127.25444.116.127.25516,382
8344.116.128.0/1844.116.128.1 to 44.116.191.25444.116.191.25516,382
8444.116.192.0/1844.116.192.1 to 44.116.255.25444.116.255.25516,382
8544.117.0.0/1844.117.0.1 to 44.117.63.25444.117.63.25516,382
8644.117.64.0/1844.117.64.1 to 44.117.127.25444.117.127.25516,382
8744.117.128.0/1844.117.128.1 to 44.117.191.25444.117.191.25516,382
8844.117.192.0/1844.117.192.1 to 44.117.255.25444.117.255.25516,382
8944.118.0.0/1844.118.0.1 to 44.118.63.25444.118.63.25516,382
9044.118.64.0/1844.118.64.1 to 44.118.127.25444.118.127.25516,382
9144.118.128.0/1844.118.128.1 to 44.118.191.25444.118.191.25516,382
9244.118.192.0/1844.118.192.1 to 44.118.255.25444.118.255.25516,382
9344.119.0.0/1844.119.0.1 to 44.119.63.25444.119.63.25516,382
9444.119.64.0/1844.119.64.1 to 44.119.127.25444.119.127.25516,382
9544.119.128.0/1844.119.128.1 to 44.119.191.25444.119.191.25516,382
9644.119.192.0/1844.119.192.1 to 44.119.255.25444.119.255.25516,382
9744.120.0.0/1844.120.0.1 to 44.120.63.25444.120.63.25516,382
9844.120.64.0/1844.120.64.1 to 44.120.127.25444.120.127.25516,382
9944.120.128.0/1844.120.128.1 to 44.120.191.25444.120.191.25516,382
10044.120.192.0/1844.120.192.1 to 44.120.255.25444.120.255.25516,382
10144.121.0.0/1844.121.0.1 to 44.121.63.25444.121.63.25516,382
10244.121.64.0/1844.121.64.1 to 44.121.127.25444.121.127.25516,382
10344.121.128.0/1844.121.128.1 to 44.121.191.25444.121.191.25516,382
10444.121.192.0/1844.121.192.1 to 44.121.255.25444.121.255.25516,382
10544.122.0.0/1844.122.0.1 to 44.122.63.25444.122.63.25516,382
10644.122.64.0/1844.122.64.1 to 44.122.127.25444.122.127.25516,382
10744.122.128.0/1844.122.128.1 to 44.122.191.25444.122.191.25516,382
10844.122.192.0/1844.122.192.1 to 44.122.255.25444.122.255.25516,382
10944.123.0.0/1844.123.0.1 to 44.123.63.25444.123.63.25516,382
11044.123.64.0/1844.123.64.1 to 44.123.127.25444.123.127.25516,382
11144.123.128.0/1844.123.128.1 to 44.123.191.25444.123.191.25516,382
11244.123.192.0/1844.123.192.1 to 44.123.255.25444.123.255.25516,382
11344.124.0.0/1844.124.0.1 to 44.124.63.25444.124.63.25516,382
11444.124.64.0/1844.124.64.1 to 44.124.127.25444.124.127.25516,382
11544.124.128.0/1844.124.128.1 to 44.124.191.25444.124.191.25516,382
11644.124.192.0/1844.124.192.1 to 44.124.255.25444.124.255.25516,382
11744.125.0.0/1844.125.0.1 to 44.125.63.25444.125.63.25516,382
11844.125.64.0/1844.125.64.1 to 44.125.127.25444.125.127.25516,382
11944.125.128.0/1844.125.128.1 to 44.125.191.25444.125.191.25516,382
12044.125.192.0/1844.125.192.1 to 44.125.255.25444.125.255.25516,382
12144.126.0.0/1844.126.0.1 to 44.126.63.25444.126.63.25516,382
12244.126.64.0/1844.126.64.1 to 44.126.127.25444.126.127.25516,382
12344.126.128.0/1844.126.128.1 to 44.126.191.25444.126.191.25516,382
12444.126.192.0/1844.126.192.1 to 44.126.255.25444.126.255.25516,382
12544.127.0.0/1844.127.0.1 to 44.127.63.25444.127.63.25516,382
12644.127.64.0/1844.127.64.1 to 44.127.127.25444.127.127.25516,382
12744.127.128.0/1844.127.128.1 to 44.127.191.25444.127.191.25516,382
12844.127.192.0/1844.127.192.1 to 44.127.255.25444.127.255.25516,382

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses